public class XORCakeExample
{
	public static void main(String args[])
	{
		// XORCakeExample
		boolean haveCake;
		boolean wantToEatCake;
		haveCake = true;
		wantToEatCake = true;
		// Later
		if (haveCake ^ wantToEatCake)
			System.out.println("You're OK!");
		else
			System.out.println("You can't have your cake and eat it too!");
	}
}
